package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public class Assassin extends Player{

    public Assassin(String name, int hp, int mp, Weapon weapon, Armor armor){
        super(name, hp, mp, weapon, armor, 300,50);
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.println("Turning invisible...");
        this.defend();
    }
}
